it_q.h File Reference
`#include <osmocom/core/linuxlist.h>`
`#include <osmocom/core/select.h>`
`#include <pthread.h>`

Go to the source code of this file.

## Data Structures

struct | osmo_it_q
| One instance of an inter-thread queue. More...

## Macros

#define | osmo_it_q_enqueue(queue, item, member) _osmo_it_q_enqueue(queue, &(item)->member)
#define | osmo_it_q_dequeue(queue, item, member)

## Functions

struct osmo_it_q * | osmo_it_q_by_name (const char *name)
| resolve it-queue by its [globally unique] name More...
int | _osmo_it_q_enqueue (struct osmo_it_q *queue, struct llist_head *item)
| Thread-safe en-queue to an inter-thread message queue. More...
struct llist_head * | _osmo_it_q_dequeue (struct osmo_it_q *queue)
| Thread-safe de-queue from an inter-thread message queue. More...
struct osmo_it_q * | osmo_it_q_alloc (void *ctx, const char *name, unsigned int max_length, void(*read_cb)(struct osmo_it_q *q, struct llist_head *item), void *data)
| Allocate a new inter-thread message queue. More...
void | osmo_it_q_destroy (struct osmo_it_q *q)
| Destroy a message queue. More...
void | osmo_it_q_flush (struct osmo_it_q *q)
| Flush all messages currently present in queue. More...